using System;

namespace Takprog2___2
{
    class Program
    {
        static string Bananice(int n, long m, int k)
        {
            int po_uceniku = (int)(m / n * 1.0);
            int grupa = (int)(m / n) * 2 - 1;
            int ostatak = (int)m % n;
            if (ostatak == 0)
                if ((int)Math.Ceiling(n * 1.0 / grupa) > k) return "Nie";
                else return "Tak";
            int br_preostalih = n - k * grupa;
            int po_podgrupi = (int)Math.Ceiling((br_preostalih * 1.0 / k));
            int zbir_podgrupa = (po_podgrupi / 2) * (2 * po_uceniku + po_podgrupi - 1);

            if (br_preostalih % 2 == 0)
            {
                if (zbir_podgrupa * k > ostatak) return "Nie";
                else return "Tak";
            }
            else
            {
                if (zbir_podgrupa * k + zbir_podgrupa + (po_uceniku + po_podgrupi - 1) > ostatak) return "Nie";
                else return "Tak";
            }
        }
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            string[,] bananice_s = new string[t, 3];
            string[] red;
            for (int i = 0; i < t; i++)
            {
                red = Console.ReadLine().Split();
                bananice_s[i, 0] = red[0];
                bananice_s[i, 1] = red[1];
                bananice_s[i, 2] = red[2];
            }
            for (int i = 0; i < t; i++)
            {
                Console.WriteLine(Bananice(int.Parse(bananice_s[i, 0]), long.Parse(bananice_s[i, 1]), int.Parse(bananice_s[i, 2])));
            }
        }
    }
}